package org.jboss.cache.marshall;

import org.testng.annotations.Test;

@Test(groups = {"functional"})
public abstract class RegionBasedMarshallingTestBase
{
   protected static final String ADDRESS_CLASSNAME = "org.jboss.cache.marshall.data.Address";
   protected static final String PERSON_CLASSNAME = "org.jboss.cache.marshall.data.Person";

   protected ClassLoader getClassLoader() throws Exception
   {
      String[] includesClasses = {PERSON_CLASSNAME, ADDRESS_CLASSNAME};
      String [] excludesClasses = {};
      ClassLoader cl = Thread.currentThread().getContextClassLoader();
      return new SelectedClassnameClassLoader(includesClasses, excludesClasses, cl);
   }


}
